# Generated by Django 4.2 on 2023-04-24 14:24

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0011_challenges'),
    ]

    operations = [
        migrations.CreateModel(
            name='UserChallenge',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.CharField(blank=True, max_length=255, null=True)),
                ('created_ts', models.DateTimeField(auto_now_add=True, null=True)),
                ('step', models.CharField(blank=True, max_length=255, null=True)),
                ('purchase_id', models.CharField(blank=True, max_length=255, null=True)),
                ('purchase_ts', models.DateTimeField()),
                ('purchase_amount', models.CharField(blank=True, max_length=12, null=True)),
                ('purchase_status', models.CharField(blank=True, max_length=255, null=True)),
                ('challenge', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.challenges')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'UserChallenge',
            },
        ),
    ]
